Browse Source

Install wmutils from git sources.

parazyd 1 year ago
parent
commit
d69865afac
2 changed files with 29 additions and 1 deletions
  1. 5 0
      config
  2. 24 1
      heads.blend

+ 5 - 0
config

@@ -29,6 +29,9 @@ ttdnsd_url="https://git.torproject.org/ioerror/ttdnsd.git"
29 29
 musl_version="v1.1.19"
30 30
 musl_url="git://git.musl-libc.org/musl"
31 31
 
32
+wmutils_version="master"
33
+wmutils_url="https://github.com/wmutils/core"
34
+
32 35
 tbb_version="7.5.2"
33 36
 case $arch in
34 37
 	amd64) aa="64";;
@@ -168,6 +171,8 @@ extra_packages=(
168 171
 	libssl-dev
169 172
 	libgcrypt20-dev
170 173
 	libseccomp-dev
174
+	libx11-xcb-dev
175
+	libxcb-util0-dev
171 176
 	equivs
172 177
 	debhelper
173 178
 )

+ 24 - 1
heads.blend

@@ -45,7 +45,7 @@ blend_postinst() {
45 45
 
46 46
 	notice "executing $blend_name postinst"
47 47
 
48
-	nopackage=(tomb tbb ttdnsd)
48
+	nopackage=(tomb tbb ttdnsd wmutils)
49 49
 	for app in $nopackage; do
50 50
 		blend_install_${app} || zerr
51 51
 	done || zerr
@@ -310,6 +310,29 @@ EOF
310 310
 	chroot-script install-tomb || zerr
311 311
 }
312 312
 ## }}}
313
+## {{{ blend_install_wmutils()
314
+blend_install_wmutils() {
315
+	fn blend_install_wmutils
316
+	req=(strapdir wmutils_version wmutils_url)
317
+	ckreq || return 1
318
+
319
+	notice "cloning wmutils..."
320
+	sudo git clone "$wmutils_url" "$strapdir/root/wmutils"  || zerr
321
+
322
+	notice "installing tomb in $strapdir"
323
+
324
+	cat <<EOF | sudo tee ${strapdir}/install-wmutils >/dev/null
325
+#!/bin/sh
326
+cd /root/wmutils
327
+git checkout ${tomb_version}
328
+make
329
+make install
330
+cd ..
331
+rm -rf wmutils
332
+EOF
333
+	chroot-script install-wmutils || zerr
334
+}
335
+## }}}
313 336
 ## {{{ blend_install_musl()
314 337
 blend_install_musl() {
315 338
 	fn blend_install_musl